Skip to Content
Technical Articles
Author's profile photo Sivasundaram R

SAPIQDB NLS SPS Upgrade Solutions

Introduction:
This article speaks about the patching of SAPIQ server starting from the need, scope , pre-requisites, actual activity and post steps in brief documentation.

Why patching of SAPIQ server is required?
To patch SAPIQDB server whenever the corresponding HANA DB SPS version is upgraded. For better performance always recommended to update to the latest version as they provide more enhancements

Scope:
The patching of SAPIQ server is required in all the SAP BW HANA environment with Sybase as the Near line storage.

Master note details and known problems:
Please find the standard documentation from SAP and the known problems associated with the upgrade.
https://help.sap.com/viewer/8214756b4d314d09a86fef212e2036d1/16.1.1.0/en-US/ca5240b988984d79bef3d2f0e13e095c.html

Pre-requisites:
Download the NLS SP patch files from Service market place from the below navigation path.
Download Installation Files->SUPPORT PACKAGES->PATCHES By Alphabetical Index (A-Z) I SYBASE IQ SYBASE IQ 16.1

Pre-tasks:
•Once after downloading the respective patch, please place the downloaded files in the directory /usr/sap. Create a directory with SYBASE_MEDIA and UNCAR the files
•You can check the current NLS version in system with command “dbisql -c “uid=DBA;pwd=” -host (hostname)-nogui and executing command “select@@version”.
•Check the Sysam license version
•Run the query after logging in as DBA to DB “sp_iqcheckoptions”, this will give the detail of all the users and rows associated with each users and we can compare it post the upgrade as well.

Implementation:
•Shutdown the IQ server with the command stop_SIQ.
•Navigate to path /usr/sap/SID/sybuninstall/IQSUITEStart and start the uninstaller suite in GUI or command mode.
•We will have to make sure all the previous version binary files are obsolete
•Check the environment variable of the SHELL before starting the installation of newer version.
•Start the installation of the IQ Server patching from the installation media path you have placed and execute command “./setup.bin -console”
•Execute the environmental script for respective SHELL
•Make sure all the features such as SAP IQ, SAP IQ Server, SAP IQ Client, SAP IQ Web drivers, SAP IQ ODBC Drivers, Cockpit framework, SAP IQ Cockpit are selected and updated
•Make changes to the configuration file (.cfg) by adding parameter -iqro 1
•Start the SIQ server with command “start_SIQ”

Post-Activity:
•Post the upgrade, Login to database and execute command “Alter database upgrade”. This step is required during the system refresh of SAPIQ activity as well in order to make sure there are no data inconsistencies.
•Login to cockpit server with the cockpit user and check for the connectivity from the GUI level.
•Login to SAP application system and check for connectivity with NLS from t-codes DB02,RSDANLCON and Login to HANA Studio under the respective HANA system click on Smart Data Access-> Click on corresponding IQ Server check for the connectivity from SAP HANA.

Conclusion:
This document covers the entire process of upgrading the SAPIQ server from one SPS patch level version to another starting version 16.1. Please post questions if there any doubts or any clarification required related to the SAPIQ server

Assigned tags

      1 Comment
      You must be Logged on to comment or reply to a post.
      Author's profile photo Roland Kramer
      Roland Kramer

      SAP First Guidance - SAP NLS Solution with SAP IQ 16.x
      Last Changed: 3rd of August 2021 - Version 2.50

      Best Regards Roland